Create article

POST
/v1/knowledge/articles

Create a knowledge article

Authorization

ApiKeyAuth knowledge.content:w
headerAuthorization<token>

Scope: knowledge.content:w

Request Body

The knowledge article to create

application/json
  1. body
translations?array<>

Initial translations for the article

parentId?string

ID of the parent category

tags?array<string>

List of tag IDs to assign to the article

preRelease?boolean

Whether the article is only available in pre-release mode

Response Body

The created knowledge article

application/json
  1. response
data*

The created article

Example Request
curl -X POST 'https://dev.dixa.io/v1/knowledge/articles' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "translations": [    {      "languageId": "en",      "title": "My Article",      "content": "<p>Content</p>"    }  ],  "parentId": "123e4567-e89b-12d3-a456-426614174000",  "tags": [    "f6020a03-5a7a-4d9e-81e6-f1b76a855a5e"  ],  "preRelease": false}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"isDefaultLocation": true,
"translation": {
"draft": {
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
},
"published": {
"language": "en",
"title": "Getting Started",
"isIndexedVersion": true,
"contents": {
"html": "<p>HTML content</p>",
"plaintext": "plaintext content"
},
"availableAt": {
"helpCenterLinks": [
{
"id": "112b5b9c-926a-4338-8963-0dc73d29dec7",
"name": "Dixa Help Center",
"url": "https://help.dixa.com"
}
]
},
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
},
"tags": [
"f6020a03-5a7a-4d9e-81e6-f1b76a855a5e"
],
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"updatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"indexedAt": "2021-12-01T12:46:36.581Z[GMT]",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"updatedBy": "123e4567-e89b-12d3-a456-426614174000",
"ownedBy": "123e4567-e89b-12d3-a456-426614174000",
"indexedBy": "123e4567-e89b-12d3-a456-426614174000",
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
},
"parentCategory": "123e4567-e89b-12d3-a456-426614174000",
"parentCollections": [
"78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
]
}
}